Apple blocked iOS 15.2 signatures

Apple has blocked iOS 15.2 signatures, preventing downgrades from later versions such as the latest version 15.2.1 released recently.

Anyone who has installed iOS 15.2.1 or later can no longer downgrade the operating system to iOS 15.2. This interruption will also have repercussions on possible jailbreaks, since an unlock of iOS 15.2 would now be useless for those who have already updated to a later version.

We remind you that iOS 15.2.1 has fixed some important bugs, especially those related to security.

Leave a Comment